# Global

##

### Methods

#### skinCheckbox($checkbox, options)

  Skin a checkbox DOM element

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$checkbox` | HTMLElement |

  `options`

  Object

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `wrap` | String | <optional> | <span class="cb-skin"></span> |
  `invalidClass` | String | <optional> | invalid |
  `disabledClass` | String | <optional> | disabled |
  `checkedClass` | String | <optional> | checked |

  ##### Returns:

  Type
    SkinCheckbox

  ##### Example

      // Call with default options:
      skinCheckbox( $input, {
        "wrap": "<span class=\"cb-skin\"></span>",
        "invalidClass": "invalid",
        "disabledClass": "disabled",
        "checkedClass": "checked"
      });

#### skinCheckboxAll($wrapper [, options])

  Skin all checkbox DOM element in a wrapper

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$wrapper` | HTMLElement |  |

  `options`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `wrap` | String | <optional> | <span class="cb-skin"></span> |
  `selector` | String | <optional> | 'input[type="checkbox"]' |
  `invalidClass` | String | <optional> | invalid |
  `disabledClass` | String | <optional> | disabled |
  `checkedClass` | String | <optional> | checked |

  ##### Returns:

  Type
    Array.<SkinCheckbox>

  ##### Example

      // Call with default options:
      skinCheckboxAll( $wrapper,
        "wrap": "<span class=\"cb-skin\"></span>",
        "invalidClass": "invalid",
        "disabledClass": "disabled",
        "checkedClass": "checked"
      });

#### skinInputFile($input [, options])

  Skin an input file DOM element

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$input` | HTMLElement |  |

  `options`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `selector` | String | <optional> | ".file-skin" |
  `wrap` | String | <optional> | <div class="file-skin"></div> |
  `fileInfoSelector` | String | <optional> | ".file-info" |
  `fileInfo` | String | <optional> | <div class="file-info"></div> |
  `autoHideFileInfo` | Boolean | <optional> | true |
  `resetButtonSelector` | String | <optional> | ".file-reset" |
  `resetButton` | String | <optional> | <span class="file-reset">&times;</span> |
  `disabledClass` | String | <optional> | disabled |
  `invalidClass` | String | <optional> | invalid |
  `selectedClass` | String | <optional> | selected |

  ##### Returns:

  Type
    SkinFile

  ##### Example

      // Call with default options:
      skinInputFile( $input, {
       "selector": ".file-skin",
       "wrap": "<div class=\"file-skin\"></div>",
       "fileInfoSelector": ".file-info",
       "fileInfo": "<div class=\"file-info\"></div>",
       "autoHideFileInfo": true,
       "resetButtonSelector": ".file-reset",
       "resetButton": "<span class=\"file-reset\">&times;</span>",
       "disabledClass": "disabled",
       "invalidClass": "invalid",
       "selectedClass": "selected"
      } );

#### skinInputFileAll($wrapper [, options])

  Skin all input file DOM element in a wrapper

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$wrapper` | HTMLElement |  |

  `options`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `selector` | String | <optional> | ".file-skin" |
  `wrap` | String | <optional> | <div class="file-skin"></div> |
  `fileInfoSelector` | String | <optional> | ".file-info" |
  `fileInfo` | String | <optional> | <div class="file-info"></div> |
  `autoHideFileInfo` | Boolean | <optional> | true |
  `resetButtonSelector` | String | <optional> | ".file-reset" |
  `resetButton` | String | <optional> | <span class="file-reset">&times;</span> |
  `disabledClass` | String | <optional> | disabled |
  `invalidClass` | String | <optional> | invalid |
  `selectedClass` | String | <optional> | selected |

  ##### Returns:

  Type
    Array.<SkinFile>

  ##### Example

      // Call with default options:
      skinInputFileAll( $wrapper, {
       "selector": ".file-skin",
       "wrap": "<div class=\"file-skin\"></div>",
       "fileInfoSelector": ".file-info",
       "fileInfo": "<div class=\"file-info\"></div>",
       "autoHideFileInfo": true,
       "resetButtonSelector": ".file-reset",
       "resetButton": "<span class=\"file-reset\">&times;</span>",
       "disabledClass": "disabled",
       "invalidClass": "invalid",
       "selectedClass": "selected"
      } );

#### skinRadio($radio, options)

  Skin a radio input

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$radio` | HTMLElement |

  `options`

  Object

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `wrap` | String | <optional> | <span class="rb-skin"></span> |
  `invalidClass` | String | <optional> | invalid |
  `disabledClass` | String | <optional> | disabled |
  `checkedClass` | String | <optional> | checked |

  ##### Returns:

  Type
    SkinRadio

  ##### Example

      // Call with default options:
      skinRadio( $radio, {
       "wrap":  "<span class=\"rb-skin\"></span>",
       "invalidClass": "invalid",
       "disabledClass": "disabled",
       "checkedClass": "checked"
      } );

#### skinRadioAll($wrapper [, options])

  Select all radio input in a $wrapper

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$wrapper` | HTMLElement |  |

  `options`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `wrap` | String | <optional> | <span class="rb-skin"></span> |
  `selector` | String | <optional> | 'input[type="radio"]' |
  `invalidClass` | String | <optional> | invalid |
  `disabledClass` | String | <optional> | disabled |
  `checkedClass` | String | <optional> | checked |

  ##### Returns:

  Type
    Array.<SkinRadio>

  ##### Example

      // Call with default options:
      skinRadioAll( $wrapper, {
       "wrap":  "<span class=\"rb-skin\"></span>",
       "selector": "input[type=\"radio\"]",
       "invalidClass": "invalid",
       "disabledClass": "disabled",
       "checkedClass": "checked"
      } );

#### skinRadioGroup($radioButtonOrInputName [, options])

  Select all radio input of the same group (same name)

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$radioButtonOrInputName` | HTMLElement | String |  |

  `options`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `wrap` | String | <optional> | <span class="rb-skin"></span> |
  `invalidClass` | String | <optional> | invalid |
  `disabledClass` | String | <optional> | disabled |
  `checkedClass` | String | <optional> | checked |

  ##### Returns:

  Type
    Array.<SkinRadio>

  ##### Example

      // Call with default options:
      skinRadioGroup( $radio, {
       "wrap":  "<span class=\"rb-skin\"></span>",
       "invalidClass": "invalid",
       "disabledClass": "disabled",
       "checkedClass": "checked"
      } );

#### skinSelect($select [, options])

  Skin a select DOM element

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$select` | HTMLElement |  |

  `options`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `full` | Boolean | <optional> | false | if true, skin event the option list
  `extraClass` | Array | <optional> | [] |
  `className` | String | <optional> | select-skin |
  `itemClassName` | String | <optional> | select-itm |
  `selectWrapClassName` | String | <optional> | select |
  `openedListClass` | String | <optional> | show |
  `activeOptionClass` | String | <optional> | on |
  `disabledClass` | String | <optional> | disabled |
  `invalidClass` | String | <optional> | invalid |
  `loadingClass` | String | <optional> | loading |
  `listTpl` | String | <optional> |  |

  ##### Returns:

  Type
    SkinSelect

  ##### Example

      // Call with default options:
      skinSelect( $select, {
       "full": false,
       "extraClass": ['otherClassName'],
       "className": "select-skin",
       "itemClassName": "select-itm",
       "selectWrapClassName": "select",
       "openedListClass": "show",
       "activeOptionClass": "on",
       "disabledClass": "disabled",
       "loadingClass": "loading",
       "listTpl": [
               '<div class="select-layer">',
                   '<ul class="select-list">',
                       '<% for ( var i = 0, len = list.length; i < len; ++i ) { %>',
                           '<li class="select-itm<%= list[ i ].selected ? " on" : "" %>" data-value="<%= list[ i ].value %>">',
                           '<%= list[ i ].text %>',
                           '</li>',
                       '<% } %>',
                   '</ul>',
               '</div>'
           ].join( '' )
      } );

#### skinSelectAll($wrapper [, options])

  Skin all select DOM element in a wrapper

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `$wrapper` | HTMLElement |  |

  `options`

  Object

  <optional>

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `full` | Boolean | <optional> | false | if true, skin event the option list
  `extraClass` | Array | <optional> | [] |
  `className` | String | <optional> | select-skin |
  `itemClassName` | String | <optional> | select-itm |
  `selectWrapClassName` | String | <optional> | select |
  `openedListClass` | String | <optional> | show |
  `activeOptionClass` | String | <optional> | on |
  `disabledClass` | String | <optional> | disabled |
  `invalidClass` | String | <optional> | invalid |
  `loadingClass` | String | <optional> | loading |
  `listTpl` | String | <optional> |  |

  ##### Returns:

  Type
    Array.<SkinSelect>

  ##### Example

      // See skinSelect for example of options
      skinSelectAll( $wrapper, options )

#### Search results